/* eslint-disable */
/* eslint-disable no-console */

import React, { useState } from 'react'
import '../styles/SidePanel.scss';
import type { MenuProps } from 'antd';
import { Button, Menu} from 'antd';
import { MenuFoldOutlined, MenuUnfoldOutlined } from '@ant-design/icons';
import { Link } from "react-router-dom";

import logoLI from '../../li-logo.png';

type MenuItem = Required<MenuProps>['items'][number];

const items: MenuItem[] = [
    {label: 'Today', disabled: true,},
    { label: 'Lorem ipsome dollar sit amet' },
    { label: 'Lorem ipsome dollar sit amet' },
    { label: 'Lorem ipsome dollar sit amet' },

    { label: 'Yesterday', disabled: true, },
    { label: 'Lorem ipsome dollar sit amet' },
    { label: 'Lorem ipsome dollar sit amet' },
    { label: 'Lorem ipsome dollar sit amet' },
];

function SidePanel() {

    const [collapsed, setCollapsed] = useState(false);
    const toggleCollapsed = () => {
        setCollapsed(!collapsed);
    };

    return (
        <div className='side-navigation'>
            <Button className='collapsemanu' onClick={toggleCollapsed} style={{ marginBottom: 16 }}>
                {collapsed ? <MenuUnfoldOutlined /> : <MenuFoldOutlined />}
            </Button>
            <Menu mode="inline" inlineCollapsed={collapsed} items={items} />
        </div>
    )
}

export default SidePanel