/* eslint-disable */
/* eslint-disable no-console */

import React from 'react'
import '../styles/Login.scss';
import { Grid, Flex, Input, Button, Form } from "antd";
import { LockOutlined, MailOutlined } from '@ant-design/icons';
import { Link } from "react-router-dom";


function Login() {

    return (
        <div className='login-container'>
            <Flex gap="middle" className='login-con'>
                <div className='login-left-container'>
                    <div className='login-leftLection'>
                        <h1>Legal AI</h1>
                        <h4>We Intelligent Legal Agent</h4>
                    </div>
                </div>
                <div className='login-right-container'>
                    <div className='login-box'>
                        <h2>Sign into your account</h2>
                        <p>Fill your email and password</p>
                        <Form name="basic" autoComplete="off">
                            <Form.Item name="email" rules={[{ required: true, message: 'Please enter your Email' }]}>
                                <Input placeholder='Email Address' prefix={<MailOutlined />} />
                            </Form.Item>
                            <Form.Item name="password" rules={[{ required: true, message: 'Please enter Password' }]}>
                                <Input type='password' placeholder='Password' prefix={<LockOutlined />} />
                            </Form.Item>

                            <Link to="/chat-modal"><Button type="primary" block>Login</Button></Link>
                            <Link className='ant-btn ant-btn-variant-link' to={"/ForgotPassword"} block>Forgot Password</Link>

                        </Form>
                    </div>
                </div>
            </Flex>
        </div>
    )
}

export default Login